jQueryの最新版にリンクする

Pocket

通常、jQueryを使うときは、公式サイトなどから「jquery.min.js」などをダウンロードして自分のサーバに置いておきます。
しかし、最近は、外部のサイトにリンクして使う方法が主流のようです。

本家に色々と用意されています。
jQuery CDN - provided by (mt) Media Temple

次のようにして使うと常に最新版を使うことができます。現在は1.8.3です。

<script src="http://code.jquery.com/jquery.min.js"></script>

次のリンク先は本家では紹介されていませんが、同様に使うことができます。

<script src="http://code.jquery.com/jquery-latest.js"></script>

ただ、この手法には「外部のサイト」のサーバがダウンしないこと、という条件が付きます。

そういう意味ではGoogleの方が堅牢かもしれません。

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>

こちらは「常に最新版」というわけにはいきませんが、バージョンによってはプラグインが動かなかったりするケースもあるので、バージョンを固定して使いたい場合には意味があります。

[ 2013年1月12日 | カテゴリー: JavaScript | タグ: , , ]

« | »

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

送信してください。


タグ

カテゴリー

最近の投稿

最近のコメント

固定ページ

アーカイブ

stabucky

写真

メタ情報